# MatCholeskyFactorSymbolic

Performs symbolic Cholesky factorization of a symmetric matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCholeskyFactorSymbolic(Mat mat,IS perm,MatFactorInfo *info,Mat *fact)

Collective on Mat

### Input Parameters

| mat | - the matrix
| perm | - row and column permutations
| info | - options for factorization, includes

             fill - expected fill as ratio of original fill.

             dtcol - pivot tolerance (0 no pivot, 1 full column pivoting)

                      Run with the option -info to determine an optimal value to use

### Output Parameter

fact -the factored matrix

### Notes

See MatLUFactorSymbolic() for the nonsymmetric case. See also MatCholeskyFactor() and MatCholeskyFactorNumeric().

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactorSymbolic(), MatCholeskyFactor(), MatCholeskyFactorNumeric()
MatGetOrdering()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages